## GstValidateOverrideRegistry

### Members

`mutex` (GMutex) –
No description available
`name_overrides` (GQueue) –
No description available
`gtype_overrides` (GQueue) –
No description available
`klass_overrides` (GQueue) –
No description available

## GstValidate.OverrideRegistry

### Members

`mutex` (GLib.Mutex) –
No description available
`name_overrides` (GLib.Queue) –
No description available
`gtype_overrides` (GLib.Queue) –
No description available
`klass_overrides` (GLib.Queue) –
No description available

## GstValidate.OverrideRegistry

### Members

`mutex` (GLib.Mutex) –
No description available
`name_overrides` (GLib.Queue) –
No description available
`gtype_overrides` (GLib.Queue) –
No description available
`klass_overrides` (GLib.Queue) –
No description available

### Methods

#### gst_validate_override_registry_get_override_for_names

    GList *
    gst_validate_override_registry_get_override_for_names (GstValidateOverrideRegistry * reg,
                                                           const gchar * name,
                                                           ... ...)

Parameters:

`reg` –
No description available
`name` –
No description available
`...` –
No description available
Returns –
No description available

#### gst_validate_override_registry_get_override_list

    GList *
    gst_validate_override_registry_get_override_list (GstValidateOverrideRegistry * registry)

Parameters:

`registry` –

the override registry

Returns ( [transfer: full][element-type GstValidateOverride]) –

a list of GstValidateOverride

#### GstValidate.OverrideRegistry.prototype.get_override_list

    function GstValidate.OverrideRegistry.prototype.get_override_list(): {
        // javascript wrapper for 'gst_validate_override_registry_get_override_list'
    }

Parameters:

`registry` (GstValidate.OverrideRegistry) –

the override registry

Returns ([ GstValidate.Override ]) –

a list of GstValidate.Override

#### GstValidate.OverrideRegistry.get_override_list

    def GstValidate.OverrideRegistry.get_override_list (self):
        #python wrapper for 'gst_validate_override_registry_get_override_list'

Parameters:

`registry` (GstValidate.OverrideRegistry) –

the override registry

Returns ([ GstValidate.Override ]) –

a list of GstValidate.Override

### Functions

#### gst_validate_override_registry_attach_overrides

    gst_validate_override_registry_attach_overrides (GstValidateMonitor * monitor)

Parameters:

`monitor` –
No description available

#### GstValidate.OverrideRegistry.prototype.attach_overrides

    function GstValidate.OverrideRegistry.prototype.attach_overrides(monitor: GstValidate.Monitor): {
        // javascript wrapper for 'gst_validate_override_registry_attach_overrides'
    }

Parameters:

`monitor` (GstValidate.Monitor) –
No description available

#### GstValidate.OverrideRegistry.attach_overrides

    def GstValidate.OverrideRegistry.attach_overrides (monitor):
        #python wrapper for 'gst_validate_override_registry_attach_overrides'

Parameters:

`monitor` (GstValidate.Monitor) –
No description available

#### gst_validate_override_registry_get

    GstValidateOverrideRegistry *
    gst_validate_override_registry_get ()

Returns –
No description available

#### gst_validate_override_registry_preload

    int
    gst_validate_override_registry_preload ()

Returns –
No description available

#### GstValidate.OverrideRegistry.prototype.preload

    function GstValidate.OverrideRegistry.prototype.preload(): {
        // javascript wrapper for 'gst_validate_override_registry_preload'
    }

Returns (Number) –
No description available

#### GstValidate.OverrideRegistry.preload

    def GstValidate.OverrideRegistry.preload ():
        #python wrapper for 'gst_validate_override_registry_preload'

Returns (int) –
No description available

The results of the search are